Bug 51727 - Remove 2 unnecessary includes from Document.h
Summary: Remove 2 unnecessary includes from Document.h
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Tony Gentilcore
URL:
Keywords:
Depends on:
Blocks: 52451
  Show dependency treegraph
 
Reported: 2010-12-29 15:23 PST by Tony Gentilcore
Modified: 2011-01-14 08:47 PST (History)
5 users (show)

See Also:


Attachments
Patch (7.71 KB, patch)
2010-12-29 15:25 PST, Tony Gentilcore
no flags Details | Formatted Diff | Diff
Patch (13.15 KB, patch)
2010-12-29 17:13 PST, Tony Gentilcore
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Gentilcore 2010-12-29 15:23:10 PST
Remove 2 unnecessary includes from Document.h
Comment 1 Tony Gentilcore 2010-12-29 15:25:48 PST
Created attachment 77647 [details]
Patch
Comment 2 WebKit Review Bot 2010-12-29 15:41:08 PST
Attachment 77647 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/7334190
Comment 3 Tony Gentilcore 2010-12-29 15:51:06 PST
Looks like there will be port-specific transitive dependencies. I'll let the bubbles run for a bit then fix this patch up.
Comment 4 Build Bot 2010-12-29 16:11:11 PST
Attachment 77647 [details] did not build on win:
Build output: http://queues.webkit.org/results/7284207
Comment 5 WebKit Review Bot 2010-12-29 16:55:16 PST
Attachment 77647 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/7247264
Comment 6 Tony Gentilcore 2010-12-29 17:13:52 PST
Created attachment 77652 [details]
Patch
Comment 7 WebKit Review Bot 2010-12-29 18:00:11 PST
Attachment 77647 [details] did not build on mac:
Build output: http://queues.webkit.org/results/7263247
Comment 8 Tony Gentilcore 2011-01-04 08:56:33 PST
Committed r74969: <http://trac.webkit.org/changeset/74969>
Comment 9 WebKit Review Bot 2011-01-04 09:14:20 PST
http://trac.webkit.org/changeset/74969 might have broken GTK Linux 64-bit Debug